# Uses of Class
net.shibboleth.shared.resolver.CriterionPredicateRegistry

Packages that use CriterionPredicateRegistry
Package
Description
net.shibboleth.shared.resolver
Interfaces for searching over data.

## Uses of CriterionPredicateRegistry in net.shibboleth.shared.resolver

Methods in net.shibboleth.shared.resolver with parameters of type CriterionPredicateRegistry
Modifier and Type
Method
Description
`static <T, E extends Predicate<T>>
Set<Predicate<T>>`
ResolverSupport.`getPredicates(CriteriaSet criteriaSet, Class<E> predicateCriterionType, CriterionPredicateRegistry<T> registry)`
Obtain a set of `Predicate` based on a `CriteriaSet`.